org.apache.cassandra.thrift

## Class Cassandra.AsyncClient.execute_prepared_cql3_query_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall
  - - org.apache.cassandra.thrift.Cassandra.AsyncClient.execute_prepared_cql3_query_call

Enclosing class:
  Cassandra.AsyncClient

    public static class Cassandra.AsyncClient.execute_prepared_cql3_query_call
    extends org.apache.thrift.async.TAsyncMethodCall

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

`org.apache.thrift.async.TAsyncMethodCall.State`

### Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

`client, transport`

### Constructor Summary

Constructors
Constructor and Description
`execute_prepared_cql3_query_call(int itemId, java.util.List<java.nio.ByteBuffer> values, ConsistencyLevel consistency, org.apache.thrift.async.AsyncMethodCallback resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CqlResult` `getResult()`
`void` `write_args(org.apache.thrift.protocol.TProtocol prot)`

### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall, transition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### execute_prepared_cql3_query_call

    public execute_prepared_cql3_query_call(int itemId,
                                            java.util.List<java.nio.ByteBuffer> values,
                                            ConsistencyLevel consistency,
                                            org.apache.thrift.async.AsyncMethodCallback resultHandler,
                                            org.apache.thrift.async.TAsyncClient client,
                                            org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                            org.apache.thrift.transport.TNonblockingTransport transport)
                                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### Method Detail

#### write_args

    public void write_args(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

Specified by:
  `write_args` in class `org.apache.thrift.async.TAsyncMethodCall`
Throws:
  `org.apache.thrift.TException`

#### getResult

    public CqlResult getResult()
                        throws InvalidRequestException,
                               UnavailableException,
                               TimedOutException,
                               SchemaDisagreementException,
                               org.apache.thrift.TException

Throws:
  `InvalidRequestException`
  `UnavailableException`
  `TimedOutException`
  `SchemaDisagreementException`
  `org.apache.thrift.TException`